declare function setExpression(name: string): void;

declare function setRandomExpression(): void;

declare function setMessageBox(message: string, duration: number): void;

declare function hideMessageBox(): void;

declare function revealMessageBox(): void;

interface Live2dRenderConfig {
    CanvasId: string,
    CanvasSize: { height: number, width: number } | 'auto',
    BackgroundRGBA: [number, number, number, number],
    ResourcesPath: string
    LoadFromCache?: boolean
    ShowToolBox?: boolean
    MinifiedJSUrl: string
    Live2dCubismcoreUrl: string
}

declare function initializeLive2D(config: Live2dRenderConfig): Promise<void>;

export {
    setExpression,
    setRandomExpression,
    setMessageBox,
    initializeLive2D,
    Live2dRenderConfig,
    hideMessageBox,
    revealMessageBox
}